@ECHO OFF
SA CO80
REM ***********************************************************************
REM     NAME
REM         123MENU.BAT - DEMO OF HOW TO USE LOTUS.
REM
REM     SYNOPSIS
REM         INVOKE SS.EXE AND TRAVERSE THE 123-NNNN.HLP MENU
REM         TREE.
REM
REM         THIS IS THE LOGIC BEHIND THE MENU TREE STRUCTURE.
REM
REM         ALL THE FILE NAMES HAVE A 123 FOLLOWED BY A THREE DIGIT
REM         NUMBER ('NNN') AND AN EXTENSION 'HLP'.
REM
REM         '123' IS THE MENU NAME.  MANY DIFFERENT HELP SYSTEMS
REM         CAN BE KEPT IN THE SAME DIRECTORY THIS WAY (123, PDOX,
REM         WP...).
REM
REM         THE NNN REFERS TO A THREE DIGIT HELP MENU TREE.  UPTO
REM         THREE LEVELS MENUS CAN BE USED BEFORE ACCESSING THE
REM         SEQUENTIAL HELP PAGES ON A SPECIFIC TOPIC.
REM
REM
REM         THE MENU TREE IS:
REM
REM             123000.HLP            THE MAIN MENU DISPLAY WHEN
REM                                   FIRST INVOKING THIS BATCH FILE.
REM             123100.HLP            SUB-TOPIC #1 - FILE OPERATIONS.
REM             123110.HLP            SUB-SUB-TOPIC - FILE RETRIEVE.
REM             123120.HLP            SUB-SUB-TOPIC - FILE SAVE
REM             123130.HLP            SUB-SUB-TOPIC - FILE DIRECTORY
REM             123140.HLP            SUB-SUB-TOPIC - FILE COMBINE
REM             123150.HLP            SUB-SUB-TOPIC - FILE EXTRACT
REM             123200.HLP            SUB-TOPIC #2 - PRINTING.
REM             123210.HLP            SUB-SUB-TOPIC - PRINT RANGE
REM             123220.HLP            SUB-SUB-TOPIC - PRINT DEVICE
REM             123230.HLP            SUB-SUB-TOPIC - PRINT CLEAR
REM             123240.HLP            SUB-SUB-TOPIC - PRINT GO
REM             123300.HLP            SUB-TOPIC #2 - RANGES
REM             123310.HLP            SUB-SUB-TOPIC - UPPER LEFT CORNER
REM             123320.HLP            SUB-SUB-TOPIC - LOWER RIGHT CORNER
REM             123330.HLP            SUB-SUB-TOPIC - RANGE NAME
REM 
REM     HOW TO MAKE
REM         THE MENU TREE WAS CONSTRUCTED ONE SUB-MENU AT A TIME, I.E.,
REM         FIRST THE 100'S, THEN THE 200'S, ETC. THE MAIN MENU
REM         123000.HLP WAS CONSTRUCTED SEPARATELY:
REM
REM             SD /I /M:3:000:00 /T:S:S 123 HLP    CONSTRUCTED THE MAIN MENU.
REM             SD /I /M:3:100:10 /T:S:S 123 HLP    CONSTRUCTED SUB MENU 100.
REM             SD /I /M:3:200:10 /T:S:S 123 HLP    CONSTRUCTED SUB MENU 200.
REM             SD /I /M:3:300:10 /T:S:S 123 HLP    CONSTRUCTED SUB MENU 300.
REM
REM         IT TOOK SEVERAL TRIES TO CAPTURE 123000.HLP, THIS SCREEN IT
REM         NOT PRESENT FOR LONG.  NOTE THE /M3:000:00 KEEPS THE NNN NUMBER
REM         ALWAYS AT ZERO. (IT TOOK SEVEN TRIES!). THE COMMAND
REM         SD /U WAS ISSUED BETWEEN EACH SUB MENU CAPTURE SESSION TO
REM         UNINSTALL SD.EXE FROM MEMORY.
REM
REM         AFTER THE FILE 123000.HLP WAS PRODUCED ABOVE, A NORMAL ASCII
REM         TEXT EDITOR WAS USED TO REMOVE THE SERIAL NUMBER INFO AND
REM         ADD THE SUB MENU LIST.  THE ATTRIBUTES WERE ALSO MODIFIED TO
REM         MAKE THE SUB MENU LIST STAND OUT (HIGHLIGHT).
REM
REM         SOMETIMES IT IS DIFFICULT TO GET THE RIGHT SCREEN CAPTURE
REM         SEQUENCE.  THIS IS WHY THE ABOVE PROCEDURE WAS DONE IN FOUR 
REM         DIFFERENT STEPS.  A GOOD DOS SHELL/COMMANDER PRODUCT IS VERY
REM         HANDY FOR MANAGING THESE FILES.  THEY ARE ASCII TEXT AND CAN
REM         BE VIEWED AND MANAGED VERY QUICKLY FROM THE DOS SHELL.  THE 
REM         DOS SHELL CAN ALSO BE USED FOR RENAMING THE FILES INTO LOGICAL
REM         ORDERING IF THE CAPTURE SESSION IS "MESSED UP".
REM
REM ***********************************************************************
REM
REM


:MAINP
    ECHO ***
    ECHO ***  MAIN MENU
    ECHO ***
    SS -k -m:3:000:0:000 123 HLP PICK_A_MENU_0=QUIT WHITE+/BLACK
    IF ERRORLEVEL 255   GOTO ERRORP
    IF ERRORLEVEL 9     GOTO MAINP
    IF ERRORLEVEL 8     GOTO MAINP
    IF ERRORLEVEL 7     GOTO MAINP
    IF ERRORLEVEL 6     GOTO MAINP
    IF ERRORLEVEL 5     GOTO MAINP
    IF ERRORLEVEL 4     GOTO MAINP
    IF ERRORLEVEL 3     GOTO MENU300P
    IF ERRORLEVEL 2     GOTO MENU200P
    IF ERRORLEVEL 1     GOTO MENU100P
    IF ERRORLEVEL 0     GOTO ENDP
    GOTO ENDP

:MENU100P
    ECHO ***
    ECHO ***  SUB MENU 100
    ECHO ***
    SS /M:3:100:10:150 123 HLP THE_FILE_COMMAND_ESC=QUIT,SPACE_BAR=NEXT WHITE+/BLACK
    GOTO MAINP

:MENU200P
    ECHO ***
    ECHO ***  SUB MENU 200
    ECHO ***
    SS /M:3:200:10:240 123 HLP THE_PRINT_COMMAND_ESC=QUIT,SPACE_BAR=NEXT WHITE+/BLACK
    GOTO MAINP

:MENU300P
    ECHO ***
    ECHO ***  SUB MENU 300
    ECHO ***
    SS /M:3:300:10:330 123 HLP THE_RANGE_COMMAND_ESC=QUIT,SPACE_BAR=NEXT WHITE+/BLACK
    GOTO MAINP


:ERRORP
    ECHO *** RETURNED 255, SOME SORT OF ERROR

:ENDP
    ECHO ***
    ECHO *** FINISHED ...
    ECHO ***

